aboutsummaryrefslogtreecommitdiff
path: root/bin/getpass
diff options
context:
space:
mode:
Diffstat (limited to 'bin/getpass')
-rwxr-xr-xbin/getpass9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/getpass b/bin/getpass
new file mode 100755
index 0000000..94460df
--- /dev/null
+++ b/bin/getpass
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+PASS=$(grep --color=never "$1" ~/.passdb | awk -F' = ' '{print $2}')
+
+if [ -z "${PASS}" ]; then
+ exit 1
+fi
+
+echo "${PASS}"